function  trace_parametrique_gen(tmin,tmax,ngra,xch,ych,nomsort);

% trac de courbes paramtriques planes (x(t),y(t))
%
%
% trace_parametrique_gen(tmin,tmax,ngra,xch,ych,nomsort) :
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  
%
%	variables d'entres : 
%     * tmin, tmax : dbut et fin de l'intervalle d'tude
%     * ngra : nombre de point pour le trac (valeurs rpartie linairement)
%     * xch et ych  : deux chanes de caractre de la forme 'x(t)' et 
%                     'y(t)' o t est la seule variable, avec
%                     F(t)=(x(t),y(t))
%     * nomsort : contient l'ventuel nom du fichier eps de sortie (sans extension eps) 
%
%     
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% (c) 2006 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr

xfcn=vectorize(char(xch));
yfcn=vectorize(char(ych));
t=linspace(tmin,tmax,ngra);
x=eval(xfcn);
y=eval(yfcn);
clf;
hold on;
axis equal;
plot(x,y);
title(['courbe (x(t),y(t)) pour t dans [',num2str(tmin),',',num2str(tmax),']']);
hold off;
if nargin==6
   eval(['print -depsc ',nomsort]);
end


